Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030034
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSminoralways2015-05-27 16:022015-06-17 16:40
ReportermarvintmView Statuspublic 
Assigned Toaaroncalero 
PriorityurgentResolutionfixedFixed in VersionRR15Q2.2
StatusclosedFix in branchFixed in SCM revision4e5b1393b0a4
ProjectionnoneETAnoneTarget VersionRR15Q2.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToOrekaria
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030034: Pay button is enabled in the Receipt discounts tab, and allows the user to enter a wrong state in the Web POS

DescriptionWhen the Receipt discounts tab is enabled, all the buttons in the toolbar should be disabled, to force the user to either apply a discount, or close the tab. However, the Pay button is enabled, so the user can mistakenly enter a wrong state, in which most of the Web POS is disabled, so the user becomes stuck and the only option is to refresh the window.
Steps To Reproduce- Log in the Web POS
- Add some products to the ticket
- Go to Receipt Discounts option in the menu
- Realize that the Pay (total) button is enabled. This is not correct.
- Click on the Pay button. Realize that you are now in an incorrect state, the menu is disabled, and you basically can only pay, but if you do you are still in this incorrect state, and the only solution is to refresh the page.
Proposed Solution- The Pay button should be disabled in the Receipt discounts tab, like it was in 2014Q3 release.
TagsApproved
Attached Files? file icon Issue30034.export [^] (1,146 bytes) 2015-05-29 13:49

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030032RR15Q3 closedaaroncalero Pay button is enabled in the Receipt discounts tab, and allows the user to enter a wrong state in the Web POS 

-  Notes
(0077895)
aaroncalero (developer)
2015-05-29 13:49
edited on: 2015-05-29 14:07

Uploaded .export file with the fix. It will be pushed when the backport repository is available.

(0077897)
dmitry_mezentsev (developer)
2015-05-29 13:55

http://wiki.openbravo.com/wiki/Bug_Reporting_Guidelines#How_to_Choose_the_Right_Severity [^]
(0078231)
hgbot (developer)
2015-06-12 12:12

Repository: retail/backports/3.0RR15Q2.2/org.openbravo.retail.posterminal
Changeset: 4e5b1393b0a482d93e3871696c61afaf463d7a04
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Fri May 29 13:37:42 2015 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR15Q2.2/org.openbravo.retail.posterminal/rev/4e5b1393b0a482d93e3871696c61afaf463d7a04 [^]

Fixed issue 30034: Pay button is enabled in the Receipt discounts tab

Take into account the isEnabled attribute of the button when changing its status

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0078341)
Orekaria (administrator)
2015-06-17 16:40

Related test added to the RR15Q2 tests of pi-mobile, and passed

- Issue History
Date Modified Username Field Change
2015-05-28 01:02 marvintm Type defect => backport
2015-05-28 01:02 marvintm Target Version RR15Q3 => RR15Q2.2
2015-05-29 13:49 aaroncalero File Added: Issue30034.export
2015-05-29 13:49 aaroncalero Note Added: 0077895
2015-05-29 13:55 dmitry_mezentsev Note Added: 0077897
2015-05-29 13:55 dmitry_mezentsev Severity major => minor
2015-05-29 13:55 dmitry_mezentsev Tag Attached: Approved
2015-05-29 14:07 aaroncalero Note Edited: 0077895 View Revisions
2015-06-12 12:12 hgbot Checkin
2015-06-12 12:12 hgbot Note Added: 0078231
2015-06-12 12:12 hgbot Status scheduled => resolved
2015-06-12 12:12 hgbot Resolution open => fixed
2015-06-12 12:12 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR15Q2.2/org.openbravo.retail.posterminal/rev/4e5b1393b0a482d93e3871696c61afaf463d7a04 [^]
2015-06-17 16:40 Orekaria Review Assigned To => Orekaria
2015-06-17 16:40 Orekaria Note Added: 0078341
2015-06-17 16:40 Orekaria Status resolved => closed
2015-06-17 16:40 Orekaria Fixed in Version => RR15Q2.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker